# Class SsaiVmapRequestError

#### Hierarchy (view full)

- AdsError
  - SsaiVmapRequestError

#####
Index

### Constructors

constructor

### Properties

category
code
description
requestCode

## Constructors

### constructor

- new SsaiVmapRequestError(requestCode): SsaiVmapRequestError

- #### Parameters

  - requestCode: number

  #### Returns SsaiVmapRequestError

  Overrides AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: SsaiVmapRequestError = ErrorCode.SsaiVmapRequestError

Overrides AdsError.code

### `Readonly` description

description: "The request for SSAI VMAP XML failed." = 'The request for SSAI VMAP XML failed.'

### `Readonly` requestCode

requestCode: number